Skip to main content
PATCH
/
api
/
tools
/
v1
/
workspaces
/
{id}
Update a workspace
curl --request PATCH \
  --url https://app.govly.com/api/tools/v1/workspaces/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "privateAccess": true,
  "workflowStage": "<string>",
  "statusCategory": "<string>",
  "status": "<string>",
  "workspaceStatusId": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "status": {
      "category": "<string>",
      "label": "<string>"
    },
    "description": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "commentsCount": 123,
    "primaryFocus": {
      "type": "opportunity",
      "id": "<string>"
    },
    "comments": [
      {
        "id": "<string>",
        "body": "<string>",
        "attachments": [
          {
            "id": "<string>",
            "workspaceId": "<string>",
            "filename": "<string>",
            "commentId": "<string>",
            "contentType": "<string>",
            "byteSize": 123,
            "createdAt": "2023-11-07T05:31:56Z",
            "file": {
              "url": "<string>",
              "expiresAt": "2023-11-07T05:31:56Z"
            }
          }
        ],
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "attachments": [
      {
        "id": "<string>",
        "workspaceId": "<string>",
        "filename": "<string>",
        "commentId": "<string>",
        "contentType": "<string>",
        "byteSize": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "file": {
          "url": "<string>",
          "expiresAt": "2023-11-07T05:31:56Z"
        }
      }
    ]
  },
  "meta": {
    "availableActions": [
      {
        "name": "<string>",
        "description": "<string>",
        "arguments": {},
        "idPaths": [
          "<string>"
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
description
string
privateAccess
boolean
workflowStage
string
statusCategory
string
status
string

Human-readable workspace status name, status category, or legacy workflow stage. Prefer this for agent and MCP-style clients.

workspaceStatusId
string

Current-organization workspace status ID. Prefer status unless the caller already has this ID.

Response

Updated workspace

data
object
required
meta
object